org.fourthline.cling.transport.impl.apache

## Class StreamServerImpl.ApacheServerConnection

- java.lang.Object
- - org.fourthline.cling.transport.impl.apache.StreamServerImpl.ApacheServerConnection

- All Implemented Interfaces:
    Connection
  Enclosing class:
    StreamServerImpl

      protected class StreamServerImpl.ApacheServerConnection
      extends Object
      implements Connection

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.http.impl.DefaultHttpServerConnection` | `connection`
    `protected Socket` | `socket`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamServerImpl.ApacheServerConnection(Socket socket, org.apache.http.impl.DefaultHttpServerConnection connection)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InetAddress` | `getLocalAddress()`
    `InetAddress` | `getRemoteAddress()`
    `boolean` | `isOpen()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### socket

          protected Socket socket

    - #### connection

          protected org.apache.http.impl.DefaultHttpServerConnection connection

  - ### Constructor Detail

    - #### StreamServerImpl.ApacheServerConnection

          public StreamServerImpl.ApacheServerConnection(Socket socket,
                                                 org.apache.http.impl.DefaultHttpServerConnection connection)

  - ### Method Detail

    - #### isOpen

          public boolean isOpen()

      Specified by:
        `isOpen` in interface `Connection`

    - #### getRemoteAddress

          public InetAddress getRemoteAddress()

      Specified by:
        `getRemoteAddress` in interface `Connection`

    - #### getLocalAddress

          public InetAddress getLocalAddress()

      Specified by:
        `getLocalAddress` in interface `Connection`

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.